<script setup lang="ts">
const isIframe = computed(() => {
  return window.self !== window.top
})

const padding = computed(() => {
  return isIframe.value ? '0 10px' : '10px'
})
</script>

<template>
  <section class="app-main">
    <router-view :key="$route.fullPath"></router-view>
  </section>
</template>

<style>
.app-main {
  flex: 1;
  padding: v-bind(padding);
  overflow: hidden;
  box-sizing: border-box;
}
</style>
